<?php
   	 require("../clases/Sor.class.php");
	     $Objusu = new Sor();	
         $accion=$_REQUEST['txtpara'];	
		// define("DIR_UPLOAD","D:/server/htdocs/sitsermpcp/fotos");	
	/////////////////////////////////// 		
      if($accion=="R")
	   {    	$idafi = $_REQUEST["idafiliado"];		
				$fecha=$_REQUEST['fecha'];
				$asunto=$_REQUEST['asunto'];				
				$especifica=$_REQUEST['especifica'];
				$rspta="";//$_REQUEST['rspta'];
		/////////////////////////////////////////////////////////////////
							//$idafi,$fecha,$asunto,$nom,$rspta
			if($Objusu->Crear($idafi,$fecha,$asunto,$especifica,$rspta))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Guardado correctamente');location.href ='../misor.php?ida=$idafi';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	   
	   if($accion=="M")
	   {    	$idsor = $_REQUEST["idsor"];			
				$rspta=$_REQUEST['rspta'];
		/////////////////////////////////////////////////////////////////
			if($Objusu->Actualizar($idsor,$rspta)		)
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Guardado correctamente');location.href ='../frmsor.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	 
	
	 /////////////////////////////////////////////*
	  if($accion=="E")
	   {    	$idafi = $_REQUEST["ida"];		
				$idf=$_REQUEST['idf'];
		/////////////////////////////////////////////////////////////////
			if($Objusu->Eliminar($idf))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Eliinado correctamente');location.href ='../misor.php?ida=$idafi';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	 
	
?>